#!/bin/bash
#
#

cd "$(dirname "$0")"

clear
echo "Welcome to the Nexus 7 Toolkit for Mac by techfanatic9"
echo "For Nexus 7"
echo "This script will Install ClockworkMod Recovery and Root your Nexus 7 Tablet"
echo " "
read -p "Press enter to start"

clear
echo "Place your phone in USB debugging mode"
echo "Settings > Developer Options > USB Debugging"
echo "Connect the USB cable now"
echo " "
echo "Warning, this step will erase all data on your device"
echo "Including the SD Card!"
echo " "
read -p "Press enter to unlock the bootloader"

clear
chmod +x adb
chmod +x fastboot
./adb reboot bootloader
sleep 7
./fastboot oem unlock

clear
echo "You now have an unlocked bootloader!"
echo "Press the power button to start the device"
echo "Let your device boot up, complete or skip set-up"
echo "Turn USB debugging on again"
echo "Settings > Developer Options > USB Debugging"
echo "Connect the USB cable"
read -p "Press enter to root"

clear
echo "CWM-SuperSU-v0.94-signed.zip..."
./adb push CWM-SuperSU-v0.94.zip /sdcard/
./adb reboot bootloader
sleep 7

clear
echo "Ready to install ClockworkMod"
read -p "Press enter to install ClockworkMod Recovery"

clear
./fastboot recovery-clockwork-touch-6.0.0.6-grouper.img

clear
echo "Use the volume keys to highlight Recovery Mode,"
echo "Use the power button to select it."
echo " "
echo "Once in recovery, select Install zip from SD Card"
echo "Select choose zip"
echo "Choose SuperSU-v0.87.zip, then select yes to install"
echo "Once it finishes, select Go Back"
echo "Select reboot"
echo " "
echo " "
read -p "Press enter to continue"
clear
echo "You're done!!"
echo "Congrats, enjoy!"
echo "Check out my channel: http://www.youtube.com/user/techfanatic9?feature=mhee"
echo "Check out my website: http://andr0idtech.blogspot.com/"
sleep 5
exit
